
import { CommonModule } from '@angular/common';
import { TemperaturePipe } from './temperaturepipe'; 
import { Component} from '@angular/core';
import { FormsModule} from '@angular/forms';

@Component({
  selector: 'app-pipetester',
  imports: [FormsModule, TemperaturePipe, CommonModule],
  template: `<p>Tämä ei ole reaktiivinen esimerkki, vaan pipen eli filtterin testausta</p>
             <p>Muunna Celsiukset Fahrenheiteiksi ja toisinpäin:</p>
             <p><input type='text' value="0"
              placeholder= "Kirjoita lämpötila" [(ngModel)] = "temp">
              <button (click)="toggleFormat()">Vaihda muunnos toisinpäin</button></p>
              <p>{{targetFormat}} -asteikossa lämpötila on {{temp | temperaturepipe: format | number:'1.1-2'}}
              </p>`

})
export class PipetesterComponent {

  temp = 0;
  toCelsius = true;
  targetFormat = 'Celsius';
  format = 'FtoC';

  toggleFormat() {

    this.toCelsius = !this.toCelsius;
    this.format = this.toCelsius ? 'FtoC' : 'CtoF';

    this.targetFormat = this.toCelsius ? 'Celsius' : 'Fahrenheit';
  }
}
