/* Itse tehty pipe eli filtteri joka muuntaa Celsiukset Fahrenheiteiksi
ja toisinpäin. Angularissa on mukana paljon valmiita filttereitä, joten
kaikkia ei tarvitse tehdä itse.
*/
import { Pipe, PipeTransform } from '@angular/core';

@Pipe({ name: 'temperaturepipe' })
export class TemperaturePipe implements PipeTransform {
// Käytetään transform-metodia joka saadaan PipeTransform -rajapinnasta
  transform(value: number, fromTo: string): any {

    if (!fromTo) {
      throw new Error('Temperature pipe requires parameter FtoC or CtoF ');
    }

    if (fromTo === 'FtoC') {
      return (value - 32) * 5.0 / 9.0;
    } else if (fromTo === 'CtoF') {
      return value * 9.0 / 5.0 + 32;
    }
    /*return (fromTo === 'FtoC') ?
      (value - 32) * 5.0 / 9.0 :  // F to C
      value * 9.0 / 5.0 + 32;  // C to F */
  }
}
